#include <iostream>
#include <vector>

using namespace std;

int main() {
//	ios_base::sync_with_stdio(false); // Uzycie tych dwoch wierszy kodu pozwoli na
//	cin.tie(nullptr);                 // przyspieszenie operacji wczytywania danych
	int n;
	cin >> n;
	vector<int> tab(n);
	int id;
	for (int i = 0; i < n; i++) {
		cin >> id;
		tab[i] = id;
	}
	int pairs = 0;
	for (int i = 0; i < n; i++) {
		int id = tab[i];
		for (int j = i + 1; j < n; j++) {
			if (tab[j] == id) pairs++;
		}
	}
	cout << pairs << endl;
}
